From 891867cb74bdffdbf67ca6a1d94fb947336009cf Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Fri, 5 Feb 2016 13:45:11 -0800
Subject: [PATCH] * autogen.sh: Port to dash (Bug#22556).

---
 autogen.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/autogen.sh b/autogen.sh
index 2ed58e1..ac728cc 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -104,9 +104,10 @@ check_version ()
 }
 
 do_autoconf=false
+test $# -eq 0 && do_autoconf=true
 do_git=false
 
-for arg in ${*-autoconf}; do
+for arg; do
     case $arg in
       --help)
 	exec echo "$0: usage: $0 [all|autoconf|git]";;
-- 
2.5.0

